---
import { defaultTheme } from "@/styles/default.theme";
import { getImage } from "astro:assets"
// import background from "@assets/lake-atitlan.jpg"
// const optimizedBackgroundImage = await getImage({ src: background })
const {
  backgroundColor,
  backgroundColorAlternate,
  font,
  fontSize,
  textColor,
  textColorAlternate,
  buttonColor,
  buttonTextColor,
} = defaultTheme;
const { class: className, title } = Astro.props;

---

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width" />
    <meta name="generator" content={Astro.generator} />
    <link rel="icon" type="image/svg+xml" href="/favicon.svg" />
    <title>{title}</title>
  </head>
  <body>
    <slot class={className} />
  </body>
</html>

<style
  define:vars={{
   backgroundColor, backgroundColorAlternate,
   font, fontSize, textColor, textColorAlternate,
  buttonColor, buttonTextColor
  }}
  is:global
  lang="post css"
>
  body {
    background-color: var(--backgroundColor);
    background-image: url("/lake-atitlan.jpg");
    background-size: cover;
    color: var(--textColor);
    font-family: var(--font);
    font-size: var(--fontSize);
  }

  a {
    color: var(--textColor);
    font-weight: bold;
    text-decoration: none;
  }
  
  a:hover{
    text-decoration: underline;
  }

  h1{
    font-family: "opensans";
  }

  @font-face {
    font-family: "opensans";
    src: url("/fonts/opensans.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
  }

  @font-face {
    font-family: "montserrat";
    src: url("/fonts/montserrat-alternates-latin-500-normal.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
  }
</style>
